package com.zcloud.mapper.datasource.hiddenDangerCheckStandard;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：清单检查记录
 * 作者：luoxiaobao
 * 时间：2021-01-25
 * 官网：www.zcloudchina.com
 */
public interface CustomCheckUserMapper {

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**查看检查清单检查人
	 * @param pd
	 * @throws Exception
	 */
	PageData getCheckUser(PageData pd);

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	void deleteAll(String[] ArrayDATA_IDS);

	/**查询人员检查数
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> countCheByUser(PageData pd);

	/**绩效得分
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> getDeptExamine(PageData pd);

    List<PageData> getUserExamine(PageData pd);
}

